
/* this file produces Figures 1 and 2 of the paper Basso-Peri 2015*/

clear all
set scheme s1mono
set more off
cap log close

cd C:\Users\gperi\Dropbox\Giovanni_MigrationConference2015\Basso_Peri_Chapter_1\

log using output\logs\Figure_1_2.txt, text replace

disp "DateTime: $S_DATE $S_TIME"

/* *******************************************************************
 Maps with CZ-aggregated dataset (wages of natives and immigrant change as share
 of the population).
 
 Coordinates for the CZ map have been downloaded from:
 http://www.equality-of-opportunity.org/index.php/data > 
 
 Created on 1/8/2015 by Gaetano Basso (gbasso@ucdavis.edu)
 revised on 9/15/2015 by Giovannni Peri
******************************************************************* */

use data/aggregated_czone.dta, clear

*** Figure 1 and 2: Changes logwages and changes immig share, 1970-2010 ***
** this part defines label variables, in the end not used in the titles***
graph drop _all
foreach v in lweekly _immi_std {
if "`v'"=="_immi_std" {
local var "Immigrants Change as share of Initial Population" 
}
else {
local var "Native Weekly Wage Change"
}


preserve 
keep d20101970* survey czone
keep if survey==2010

** this part merges with the file that has the coordinates for the CZ and produces the maps**

rename czone cz
merge 1:1 cz using data/cz1990_id.dta
rename id _ID
drop if (cz>=34101&cz<=34115)|(cz>=34701&cz<=34703)|cz==35600

** Creates the maps merging the coordinates of US CZ, from Chetty et al**
** the figures are Fig 1 and 2 in peri and Basso 2015
spmap d20101970`v' using data/cz_coords_clean, id(_ID) ///
	clmethod(quantile) saving("output/graphs/map_d_`v'_19702010", replace) ///
	name("map_d_`v'_19702010", replace) /*legenda(off)*/ ///
	title("Commuting Zones,Changes1970-2010") ylabel(,angle(0)) 
graph export output/graphs/map_d_`v'_19702010.pdf, replace

restore
}
	




log close
