
/** this files produces all the regression results for the region aggregate regressions in Tables 1, 2 and 5 of the paper Basso and Peri (2015) ***/

clear all
set scheme s1mono
set matsize 800
set more off
cap log close

cd C:\Users\Tano\Dropbox\Giovanni_MigrationConference2015\Basso_Peri_Chapter_1

log using output\logs\reg_aggregate_region.txt, text replace

disp "DateTime: $S_DATE $S_TIME"

/* *******************************************************************
 Regressions with region-aggregated dataset 
 
 Created on 1/8/2015 by Gaetano Basso (gbasso@ucdavis.edu)
 revised on 9/16/2015 by Gaetano Basso
******************************************************************* */

use data/aggregated_region.dta, clear
sort region survey
xtset region decade

/** Regressions in Table 1, Column (3) ***/

**row (1)
xi: reg dlweekly d_immi_std i.survey [aw=l.population] if survey>=1980, vce(cluster region)
***row (2)
xi: reg dlweekly d_immi_std i.survey i.region [aw=l.population]if survey>=1980, vce(cluster region)
** row (3) **
reg dlweekly d_immi_std i.survey i.region [aw=l.population] if survey>=1990, vce(cluster region)
** row (4)
reg dlweekly d_immi_std i.survey [aw=l.population] if survey==2010, vce(cluster region)

centile population, centile(10 90)
local p10 = `r(c_1)'
local p90 = `r(c_2)'
** row(5) **
xi: reg dlweekly d_immi_std i.survey i.region [aw=l.population]  if population>`p10', vce(cluster region)
** row (6) **
xi: reg dlweekly d_immi_std i.survey i.region [aw=l.population]  if population<`p90', vce(cluster region)

/**********************/

/***Regressions in Table 2, Column (3) ***/

** row (1)
xi: reg dnnative d_immi_std i.survey [aw=l.population] , vce(cluster region) 
**row(2)
xi: reg dnnative d_immi_std i.survey i.region [aw=l.population] , vce(cluster region)
** row (3) **
reg dnnative d_immi_std i.survey i.region [aw=l.population] if survey>=1990, vce(cluster region)
** row (4)
reg dnnative d_immi_std i.survey [aw=l.population] if survey==2010, vce(cluster region)
** row(5) **
xi: reg dnnative d_immi_std i.survey i.region [aw=l.population]  if population>`p10', vce(cluster region)
** row (6) **
xi: reg dnnative d_immi_std i.survey i.region [aw=l.population]  if population<`p90', vce(cluster region)

/**********************/


/*** Regressions in Table 5, column (3)) ***/

**** HIGH SCHOOL OR LESS*****
**row (1) **
xi: reg dlweekly_lskill d_immi_std i.survey [aw=l.population] if survey>=1980, vce(cluster region)
** row (2) **
xi: reg dlweekly_lskill d_immi_std i.survey i.region [aw=l.population]if survey>=1980, vce(cluster region)
**row (3) **
reg dlweekly_lskill d_immi_std [aw=l.population] if survey==2010, vce(cluster region)

***COLLEGE OR MORE ***
*** row (4)
xi: reg dlweekly_hskill d_immi_std i.survey [aw=l.population] if survey>=1980, vce(cluster region)
*** row (5)
xi: reg dlweekly_hskill d_immi_std i.survey i.region [aw=l.population]if survey>=1980, vce(cluster region)
*** row (6)
reg dlweekly_hskill d_immi_std [aw=l.population] if survey==2010, vce(cluster region)




log close





